% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/print_spicy.R
\name{print.spicy}
\alias{print.spicy}
\title{Print a Formatted Data Frame with Aligned Columns}
\usage{
\method{print}{spicy}(x, ...)
}
\arguments{
\item{x}{A data frame, matrix, array (2D), or table.}

\item{...}{Additional arguments (not used).}
}
\value{
Invisibly returns \code{x} after displaying its formatted content.
}
\description{
\code{print.spicy()} prints a data frame with properly aligned columns, following a structured three-line table format.
The first column is left-aligned, while all other columns are right-aligned. Column widths are dynamically adjusted
based on the longest value in each column, including column names.
}
\examples{
x <- mtcars
class(x) <- c("spicy", class(x))
print(x)
}
